Update subcategory name
curl --request POST \
--url https://sandbox.api.btdx.io/subcategories/{id}/name \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://sandbox.api.btdx.io/subcategories/{id}/name"
payload = { "name": "<string>" }
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://sandbox.api.btdx.io/subcategories/{id}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"subcategories": [
{
"id": "<string>",
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"subcategories": [
{
"id": "<string>",
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}Event Subcategories
Update subcategory name
POST
/
subcategories
/
{id}
/
name
Update subcategory name
Headers
Header with the accessToken for the current session
Path Parameters
subcategory id
Body
application/json
request body containing a name field with the new value (cannot be null or blank)
⌘I